org.keycloak.representations.idm

## Class OAuthClientRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.OAuthClientRepresentation

-     public class OAuthClientRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `attributes`
    `protected ClaimRepresentation` | `claims`
    `protected Boolean` | `directGrantsOnly`
    `protected Boolean` | `enabled`
    `protected Boolean` | `fullScopeAllowed`
    `protected String` | `id`
    `protected String` | `name`
    `protected Integer` | `notBefore`
    `protected String` | `protocol`
    `protected Boolean` | `publicClient`
    `protected List<String>` | `redirectUris`
    `protected String` | `secret`
    `protected List<String>` | `webOrigins`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthClientRepresentation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAttributes()`
    `ClaimRepresentation` | `getClaims()`
    `String` | `getId()`
    `String` | `getName()`
    `Integer` | `getNotBefore()`
    `String` | `getProtocol()`
    `List<String>` | `getRedirectUris()`
    `String` | `getSecret()`
    `List<String>` | `getWebOrigins()`
    `Boolean` | `isDirectGrantsOnly()`
    `Boolean` | `isEnabled()`
    `Boolean` | `isFullScopeAllowed()`
    `Boolean` | `isPublicClient()`
    `void` | `setAttributes(Map<String,String> attributes)`
    `void` | `setClaims(ClaimRepresentation claims)`
    `void` | `setDirectGrantsOnly(Boolean directGrantsOnly)`
    `void` | `setEnabled(Boolean enabled)`
    `void` | `setFullScopeAllowed(Boolean fullScopeAllowed)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setNotBefore(Integer notBefore)`
    `void` | `setProtocol(String protocol)`
    `void` | `setPublicClient(Boolean publicClient)`
    `void` | `setRedirectUris(List<String> redirectUris)`
    `void` | `setSecret(String secret)`
    `void` | `setWebOrigins(List<String> webOrigins)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### name

          protected String name

    - #### redirectUris

          protected List<String> redirectUris

    - #### webOrigins

          protected List<String> webOrigins

    - #### enabled

          protected Boolean enabled

    - #### secret

          protected String secret

    - #### claims

          protected ClaimRepresentation claims

    - #### notBefore

          protected Integer notBefore

    - #### publicClient

          protected Boolean publicClient

    - #### protocol

          protected String protocol

    - #### attributes

          protected Map<String,String> attributes

    - #### directGrantsOnly

          protected Boolean directGrantsOnly

    - #### fullScopeAllowed

          protected Boolean fullScopeAllowed

  - ### Constructor Detail

    - #### OAuthClientRepresentation

          public OAuthClientRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### isEnabled

          public Boolean isEnabled()

    - #### setEnabled

          public void setEnabled(Boolean enabled)

    - #### getRedirectUris

          public List<String> getRedirectUris()

    - #### setRedirectUris

          public void setRedirectUris(List<String> redirectUris)

    - #### getWebOrigins

          public List<String> getWebOrigins()

    - #### setWebOrigins

          public void setWebOrigins(List<String> webOrigins)

    - #### getSecret

          public String getSecret()

    - #### setSecret

          public void setSecret(String secret)

    - #### getClaims

          public ClaimRepresentation getClaims()

    - #### setClaims

          public void setClaims(ClaimRepresentation claims)

    - #### getNotBefore

          public Integer getNotBefore()

    - #### setNotBefore

          public void setNotBefore(Integer notBefore)

    - #### isPublicClient

          public Boolean isPublicClient()

    - #### setPublicClient

          public void setPublicClient(Boolean publicClient)

    - #### isDirectGrantsOnly

          public Boolean isDirectGrantsOnly()

    - #### setDirectGrantsOnly

          public void setDirectGrantsOnly(Boolean directGrantsOnly)

    - #### isFullScopeAllowed

          public Boolean isFullScopeAllowed()

    - #### setFullScopeAllowed

          public void setFullScopeAllowed(Boolean fullScopeAllowed)

    - #### getProtocol

          public String getProtocol()

    - #### setProtocol

          public void setProtocol(String protocol)

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

Copyright © 2014. All Rights Reserved.